## evehomescreen 0.0.3-2

=== src/Makefile ===
#############################################################################
# Makefile for building: evehomescreen
# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed May 12 21:51:24 2010
# Project:  evehomescreen.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix PREFIX\ =\ /usr -o Makefile evehomescreen.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR=\"/usr/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/opt-armel/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/opt-armel/qt4-maemo5/include/QtCore -I/opt-armel/qt4-maemo5/include/QtNetwork -I/opt-armel/qt4-maemo5/include/QtGui -I/opt-armel/qt4-maemo5/include/QtMaemo5 -I/opt-armel/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtBearer -I../qmaemo5homescreenadaptor -I/targets/FREMANTLE_ARMEL/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -L/usr/lib -lQtBearer -lQtMaemo5 -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtGui -lQtNetwork -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		widget.cpp \
		evemodel.cpp \
		eveaccount.cpp \
		eveskilltraining.cpp \
		evesettingsdialog.cpp \
		skilltree.cpp \
		../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp moc_widget.cpp \
		moc_evemodel.cpp \
		moc_eveaccount.cpp \
		moc_eveskilltraining.cpp \
		moc_evesettingsdialog.cpp \
		moc_skilltree.cpp \
		moc_qmaemo5homescreenadaptor.cpp
OBJECTS       = main.o \
		widget.o \
		evemodel.o \
		eveaccount.o \
		eveskilltraining.o \
		evesettingsdialog.o \
		skilltree.o \
		qmaemo5homescreenadaptor.o \
		moc_widget.o \
		moc_evemodel.o \
		moc_eveaccount.o \
		moc_eveskilltraining.o \
		moc_evesettingsdialog.o \
		moc_skilltree.o \
		moc_qmaemo5homescreenadaptor.o
DIST          = /opt-armel/qt4-maemo5/mkspecs/common/unix.conf \
		/opt-armel/qt4-maemo5/mkspecs/common/linux.conf \
		/opt-armel/qt4-maemo5/mkspecs/qconfig.pri \
		/opt-armel/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/qt_config.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/default_pre.prf \
		../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri \
		/opt-armel/qt4-maemo5/mkspecs/features/release.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/default_post.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/mobility.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/warn_on.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/qt.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/moc.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/resources.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/uic.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/yacc.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/lex.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		evehomescreen.pro
QMAKE_TARGET  = evehomescreen
DESTDIR       = 
TARGET        = evehomescreen

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_evesettingsdialog.h ui_mainwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: evehomescreen.pro  /opt-armel/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /opt-armel/qt4-maemo5/mkspecs/common/unix.conf \
		/opt-armel/qt4-maemo5/mkspecs/common/linux.conf \
		/opt-armel/qt4-maemo5/mkspecs/qconfig.pri \
		/opt-armel/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/qt_config.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/default_pre.prf \
		../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri \
		/opt-armel/qt4-maemo5/mkspecs/features/release.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/default_post.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/mobility.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/warn_on.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/qt.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/moc.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/resources.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/uic.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/yacc.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/lex.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtMaemo5.prl \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtNetwork.prl
	$(QMAKE) -unix PREFIX\ =\ /usr -o Makefile evehomescreen.pro
/opt-armel/qt4-maemo5/mkspecs/common/unix.conf:
/opt-armel/qt4-maemo5/mkspecs/common/linux.conf:
/opt-armel/qt4-maemo5/mkspecs/qconfig.pri:
/opt-armel/qt4-maemo5/mkspecs/features/qt_functions.prf:
/opt-armel/qt4-maemo5/mkspecs/features/qt_config.prf:
/opt-armel/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/opt-armel/qt4-maemo5/mkspecs/features/default_pre.prf:
../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri:
/opt-armel/qt4-maemo5/mkspecs/features/release.prf:
/opt-armel/qt4-maemo5/mkspecs/features/default_post.prf:
/opt-armel/qt4-maemo5/mkspecs/features/mobility.prf:
/opt-armel/qt4-maemo5/mkspecs/features/warn_on.prf:
/opt-armel/qt4-maemo5/mkspecs/features/qt.prf:
/opt-armel/qt4-maemo5/mkspecs/features/unix/thread.prf:
/opt-armel/qt4-maemo5/mkspecs/features/moc.prf:
/opt-armel/qt4-maemo5/mkspecs/features/resources.prf:
/opt-armel/qt4-maemo5/mkspecs/features/uic.prf:
/opt-armel/qt4-maemo5/mkspecs/features/yacc.prf:
/opt-armel/qt4-maemo5/mkspecs/features/lex.prf:
/opt-armel/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtMaemo5.prl:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix PREFIX\ =\ /usr -o Makefile evehomescreen.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/evehomescreen1.0.0 || $(MKDIR) .tmp/evehomescreen1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/evehomescreen1.0.0/ && $(COPY_FILE) --parents widget.h evemodel.h eveaccount.h eveskilltraining.h evesettingsdialog.h skilltree.h ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h .tmp/evehomescreen1.0.0/ && $(COPY_FILE) --parents main.cpp widget.cpp evemodel.cpp eveaccount.cpp eveskilltraining.cpp evesettingsdialog.cpp skilltree.cpp ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp .tmp/evehomescreen1.0.0/ && $(COPY_FILE) --parents evesettingsdialog.ui mainwindow.ui .tmp/evehomescreen1.0.0/ && (cd `dirname .tmp/evehomescreen1.0.0` && $(TAR) evehomescreen1.0.0.tar evehomescreen1.0.0 && $(COMPRESS) evehomescreen1.0.0.tar) && $(MOVE) `dirname .tmp/evehomescreen1.0.0`/evehomescreen1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/evehomescreen1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_widget.cpp moc_evemodel.cpp moc_eveaccount.cpp moc_eveskilltraining.cpp moc_evesettingsdialog.cpp moc_skilltree.cpp moc_qmaemo5homescreenadaptor.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_widget.cpp moc_evemodel.cpp moc_eveaccount.cpp moc_eveskilltraining.cpp moc_evesettingsdialog.cpp moc_skilltree.cpp moc_qmaemo5homescreenadaptor.cpp
moc_widget.cpp: widget.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) widget.h -o moc_widget.cpp

moc_evemodel.cpp: eveaccount.h \
		eveskilltraining.h \
		evemodel.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) evemodel.h -o moc_evemodel.cpp

moc_eveaccount.cpp: eveskilltraining.h \
		eveaccount.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) eveaccount.h -o moc_eveaccount.cpp

moc_eveskilltraining.cpp: eveskilltraining.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) eveskilltraining.h -o moc_eveskilltraining.cpp

moc_evesettingsdialog.cpp: evemodel.h \
		eveaccount.h \
		eveskilltraining.h \
		evesettingsdialog.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) evesettingsdialog.h -o moc_evesettingsdialog.cpp

moc_skilltree.cpp: skilltree.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) skilltree.h -o moc_skilltree.cpp

moc_qmaemo5homescreenadaptor.cpp: ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h -o moc_qmaemo5homescreenadaptor.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_evesettingsdialog.h ui_mainwindow.h
compiler_uic_clean:
	-$(DEL_FILE) ui_evesettingsdialog.h ui_mainwindow.h
ui_evesettingsdialog.h: evesettingsdialog.ui
	/opt/qt4-maemo5/bin/uic evesettingsdialog.ui -o ui_evesettingsdialog.h

ui_mainwindow.h: mainwindow.ui
	/opt/qt4-maemo5/bin/uic mainwindow.ui -o ui_mainwindow.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

main.o: main.cpp widget.h \
		mainwindow.h \
		evesettingsdialog.h \
		evemodel.h \
		eveaccount.h \
		eveskilltraining.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

widget.o: widget.cpp widget.h \
		eveaccount.h \
		eveskilltraining.h \
		evesettingsdialog.h \
		evemodel.h \
		skilltree.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o widget.o widget.cpp

evemodel.o: evemodel.cpp evemodel.h \
		eveaccount.h \
		eveskilltraining.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o evemodel.o evemodel.cpp

eveaccount.o: eveaccount.cpp eveaccount.h \
		eveskilltraining.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o eveaccount.o eveaccount.cpp

eveskilltraining.o: eveskilltraining.cpp eveskilltraining.h \
		evemodel.h \
		eveaccount.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o eveskilltraining.o eveskilltraining.cpp

evesettingsdialog.o: evesettingsdialog.cpp evesettingsdialog.h \
		evemodel.h \
		eveaccount.h \
		eveskilltraining.h \
		ui_evesettingsdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o evesettingsdialog.o evesettingsdialog.cpp

skilltree.o: skilltree.cpp skilltree.h

=== tests-build/Makefile ===
#############################################################################
# Makefile for building: tests
# Generated by qmake (2.01a) (Qt 4.6.2) on: la touko 8 13:39:07 2010
# Project:  ../tests/tests.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../tests/tests.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I../tests -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I/usr/include/qt4/QtTest -I../src -I. -I../tests -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtTest -lQtGui -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../tests/main.cpp \
		../src/eveaccount.cpp \
		../src/evemodel.cpp \
		../src/eveskilltraining.cpp \
		../src/skilltree.cpp moc_eveaccount.cpp \
		moc_evemodel.cpp \
		moc_eveskilltraining.cpp \
		moc_skilltree.cpp
OBJECTS       = main.o \
		eveaccount.o \
		evemodel.o \
		eveskilltraining.o \
		skilltree.o \
		moc_eveaccount.o \
		moc_evemodel.o \
		moc_eveskilltraining.o \
		moc_skilltree.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		../tests/tests.pro
QMAKE_TARGET  = tests
DESTDIR       = 
TARGET        = tests

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../tests/tests.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtTest.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../tests/tests.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/qtestlib.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtTest.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../tests/tests.pro

dist: 
	@$(CHK_DIR_EXISTS) ../tests/.tmp/tests1.0.0 || $(MKDIR) ../tests/.tmp/tests1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../tests/.tmp/tests1.0.0/ && $(COPY_FILE) --parents ../src/eveaccount.h ../src/evemodel.h ../src/eveskilltraining.h ../src/skilltree.h ../tests/.tmp/tests1.0.0/ && $(COPY_FILE) --parents ../tests/main.cpp ../src/eveaccount.cpp ../src/evemodel.cpp ../src/eveskilltraining.cpp ../src/skilltree.cpp ../tests/.tmp/tests1.0.0/ && (cd `dirname ../tests/.tmp/tests1.0.0` && $(TAR) tests1.0.0.tar tests1.0.0 && $(COMPRESS) tests1.0.0.tar) && $(MOVE) `dirname ../tests/.tmp/tests1.0.0`/tests1.0.0.tar.gz . && $(DEL_FILE) -r ../tests/.tmp/tests1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_eveaccount.cpp moc_evemodel.cpp moc_eveskilltraining.cpp moc_skilltree.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_eveaccount.cpp moc_evemodel.cpp moc_eveskilltraining.cpp moc_skilltree.cpp
moc_eveaccount.cpp: ../src/eveskilltraining.h \
		../src/eveaccount.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) ../src/eveaccount.h -o moc_eveaccount.cpp

moc_evemodel.cpp: ../src/eveaccount.h \
		../src/eveskilltraining.h \
		../src/evemodel.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) ../src/evemodel.h -o moc_evemodel.cpp

moc_eveskilltraining.cpp: ../src/eveskilltraining.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) ../src/eveskilltraining.h -o moc_eveskilltraining.cpp

moc_skilltree.cpp: ../src/skilltree.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) ../src/skilltree.h -o moc_skilltree.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all: main.moc
compiler_moc_source_clean:
	-$(DEL_FILE) main.moc
main.moc: ../tests/main.cpp
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) ../tests/main.cpp -o main.moc

compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_moc_source_clean 

####### Compile

main.o: ../tests/main.cpp main.moc
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o ../tests/main.cpp

eveaccount.o: ../src/eveaccount.cpp ../src/eveaccount.h \
		../src/eveskilltraining.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o eveaccount.o ../src/eveaccount.cpp

evemodel.o: ../src/evemodel.cpp ../src/evemodel.h \
		../src/eveaccount.h \
		../src/eveskilltraining.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o evemodel.o ../src/evemodel.cpp

eveskilltraining.o: ../src/eveskilltraining.cpp ../src/eveskilltraining.h \
		../src/evemodel.h \
		../src/eveaccount.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o eveskilltraining.o ../src/eveskilltraining.cpp

skilltree.o: ../src/skilltree.cpp ../src/skilltree.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o skilltree.o ../src/skilltree.cpp

moc_eveaccount.o: moc_eveaccount.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_eveaccount.o moc_eveaccount.cpp

moc_evemodel.o: moc_evemodel.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_evemodel.o moc_evemodel.cpp

moc_eveskilltraining.o: moc_eveskilltraining.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_eveskilltraining.o moc_eveskilltraining.cpp

moc_skilltree.o: moc_skilltree.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_skilltree.o moc_skilltree.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

## evehomescreen 0.0.3-1

=== debian/changelog ===
evehomescreen (0.0.3-1) unstable; urgency=low

  * Refresh skill training automatically when the current skill is finished
  * Better message when no skill in training
  * Avoid refreshing on cache period

 -- Jaakko Kyro <jkyro@korjaussarja.net>  Tue, 11 May 2010 15:50:43 +0300

evehomescreen (0.0.2-1) unstable; urgency=low

  * Saving and loading account and character info

 -- Jaakko Kyro <jkyro@korjaussarja.net>  Sat,  8 May 2010 21:20:59 +0300

evehomescreen (0.0.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Jaakko Kyro <jkyro@korjaussarja.net>  Wed,  5 May 2010 22:46:36 +0300

=== debian/control ===
Source: evehomescreen
Section: user/desktop
Priority: extra
Maintainer: Jaakko Kyro <jkyro@korjaussarja.net>
Build-Depends: debhelper (>= 5), libqt4-maemo5-dev, libqtm-dev, libx11-dev, x11proto-core-dev, libgconf2-dev, libdbus-1-dev, libglib2.0-dev, libdbus-glib-1-dev
Standards-Version: 3.7.2

Package: evehomescreen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qt4-maemo5-homescreen-loader
Description: Homescreen widget to display Eve character training status
 Displays the skill currently being trained, target level and 
 time of completion.

## evehomescreen 0.0.3-2

=== debian/changelog ===
evehomescreen (0.0.3-2) unstable; urgency=low

  * Added icon, description and bugtracker links to packaging 

 -- Jaakko Kyro <jkyro@korjaussarja.net>  Wed, 12 May 2010 21:49:38 +0300

=== debian/control ===
--- 
+++ 
@@ -11,3 +11,29 @@
 Description: Homescreen widget to display Eve character training status
  Displays the skill currently being trained, target level and 
  time of completion.
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
+ fAhkiAAAAAlwSFlzAAAD2AAAA9gBbkdjNQAAABl0RVh0U29mdHdhcmUAd3d3
+ Lmlua3NjYXBlLm9yZ5vuPBoAAANuSURBVGiB7VlNS+taFF0xMUSQEjrwB/gj
+ lDtx5EClv8CZTqzgQLAi+IXXllYo2EGh6EDw4y/U6KAgUqGOREGqs1Id18ak
+ VW+xXW/w3s27sanE97zEXrpgQ7L3TtZZOWdvzmkB4DuAHwDYZvYDwHfhnwsZ
+ 7YmagL/VtC26vB7A/0VHgNfoCPAaHQFeoyPAa7S9AOnXG1EUIUlSq9wvgdfX
+ V9TrdeveGm0gEEAkEoGqqp4MzC10Xcfy8jLS6TQAwNrMaZqG0dFRLC4uIp1O
+ o1areTnOJsiyjEAggGg0iqOjI4yNjVkxAmA2m2WpVKKqql7v81uaqqoslUrM
+ ZrOWz1bEhmFA1/XP+mifDl3XYRiGzfdndaGfGB8fx9DQkKsX3N/fY2NjA5FI
+ BIqiIBwO4+HhwZlMkhCJRAAAS0tLmJubQ39/vyueXC6Hvb09x5hVA4VCgQC4
+ tbVFt7i8vCQAxmIxkmQymWy5hmdnZ0mS8XicAHh+fu6aZ3d3lwBYKBRsNfBu
+ 08/n8wiHw+9+mXK5DACIxWKYnJxEMBhEKpXCzc2NLa+vrw9ra2sol8uIRqO2
+ mKZpODg4eJenUCi0jDXNQE9PD1VVpSzLH+oSwWCQJKlpWlNsZ2eHJDk/P2/5
+ ent7qaoqRVF0zfF2BhwFJJNJPj8/8+npidVqldVqlZVKhaZp0jRNGobBx8dH
+ 6rpue5koiry+viZJjoyMWP6BgQE2Gg0Wi0UqimL5T09PbTyVSsXiMQzDxpNK
+ pRwFOHYhSZKgKIork+V/f5Gp1+sIhUIAgM3NTUiSBEEQkEwmIQgCVlZW8PLy
+ YuXLsuyap7u7+/cvoZ92fHxMkpyZmeHExARJ8urqil1dXba8z1hCjkWcSCQw
+ NTWFfD6P9fV1kLQZAOta13WcnJzYng+FQhgeHkY8HrfyFxYW0Gg0bHmZTAaD
+ g4PQNA37+/tNPL/yFYtFXFxcuJuB/9JG39r29raVk8lkHHN+WxvN5XJQFMVR
+ 7Vvc3d05+ldXVyHLMgRBQCKRcMw5PDzE7e2tK56zs7OWsaYZ+Mrmqgu1E2wC
+ fD7flz7QqKoKn89n81k1YJom/H4/pqenv/SBxu/3wzRNy2+dyNr+SAm056G+
+ 8weH1+gI8BodAV6jI8BrdAR4jT9CwNfadn4MNRFAN4BvAESPB/NR1ABs/AXF
+ LLD44LIAQwAAAABJRU5ErkJggg==
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=1594&atid=5701
+XB-Maemo-Display-Name: EVE Online homescreen widget

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	cd src && /opt/qt4-maemo5/bin/qmake "PREFIX = /usr"
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	cd src && $(MAKE)
	#docbook-to-man debian/evehomescreen.sgml > qt-eve-homescreen.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-cd src && $(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/qt-eve-homescreen.
	cd src && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/evehomescreen install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## evehomescreen 0.1.0-1

=== src/Makefile ===
--- 
+++ 
@@ -1,22 +1,22 @@
 #############################################################################
 # Makefile for building: evehomescreen
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed May 12 21:51:24 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon May 24 21:54:15 2010
 # Project:  evehomescreen.pro
 # Template: app
-# Command: /opt/qt4-maemo5/bin/qmake -unix PREFIX\ =\ /usr -o Makefile evehomescreen.pro
+# Command: /opt/qt4-maemo5/bin/qmake -unix PREFIX=/usr -o Makefile evehomescreen.pro
 #############################################################################
 
 ####### Compiler, tools and options
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR=\"/usr/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
-CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
-CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
-INCPATH       = -I/opt-armel/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/opt-armel/qt4-maemo5/include/QtCore -I/opt-armel/qt4-maemo5/include/QtNetwork -I/opt-armel/qt4-maemo5/include/QtGui -I/opt-armel/qt4-maemo5/include/QtMaemo5 -I/opt-armel/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtBearer -I../qmaemo5homescreenadaptor -I/targets/FREMANTLE_ARMEL/usr/include -I. -I.
+DEFINES       = -DDATADIR=\"/usr/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
+CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
+CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
+INCPATH       = -I/opt-x86/qt4-maemo5/mkspecs/linux-g++ -I. -I/opt-x86/qt4-maemo5/include/QtCore -I/opt-x86/qt4-maemo5/include/QtNetwork -I/opt-x86/qt4-maemo5/include/QtGui -I/opt-x86/qt4-maemo5/include/QtMaemo5 -I/opt-x86/qt4-maemo5/include -I../qmaemo5homescreenadaptor -I. -I.
 LINK          = g++
-LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
-LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -L/usr/lib -lQtBearer -lQtMaemo5 -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtGui -lQtNetwork -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtDBus -lQtXml -lQtCore -lpthread 
+LFLAGS        = -Wl,-O1 -Wl,-rpath,/opt/qt4-maemo5/lib
+LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtMaemo5 -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtGui -lQtNetwork -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtDBus -lQtXml -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /opt/qt4-maemo5/bin/qmake
@@ -72,26 +72,26 @@
 		moc_evesettingsdialog.o \
 		moc_skilltree.o \
 		moc_qmaemo5homescreenadaptor.o
-DIST          = /opt-armel/qt4-maemo5/mkspecs/common/unix.conf \
-		/opt-armel/qt4-maemo5/mkspecs/common/linux.conf \
-		/opt-armel/qt4-maemo5/mkspecs/qconfig.pri \
-		/opt-armel/qt4-maemo5/mkspecs/features/qt_functions.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/qt_config.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/default_pre.prf \
+DIST          = /opt-x86/qt4-maemo5/mkspecs/common/g++.conf \
+		/opt-x86/qt4-maemo5/mkspecs/common/unix.conf \
+		/opt-x86/qt4-maemo5/mkspecs/common/linux.conf \
+		/opt-x86/qt4-maemo5/mkspecs/qconfig.pri \
+		/opt-x86/qt4-maemo5/mkspecs/features/qt_functions.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/qt_config.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/default_pre.prf \
 		../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri \
-		/opt-armel/qt4-maemo5/mkspecs/features/release.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/default_post.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/mobility.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/warn_on.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/qt.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/unix/thread.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/moc.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/resources.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/uic.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/yacc.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/lex.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/include_source_dir.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/release.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/default_post.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/warn_on.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/qt.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/unix/thread.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/moc.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/resources.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/uic.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/yacc.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/lex.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/include_source_dir.prf \
 		evehomescreen.pro
 QMAKE_TARGET  = evehomescreen
 DESTDIR       = 
@@ -124,53 +124,53 @@
 $(TARGET): ui_evesettingsdialog.h ui_mainwindow.h $(OBJECTS)  
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
 
-Makefile: evehomescreen.pro  /opt-armel/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /opt-armel/qt4-maemo5/mkspecs/common/unix.conf \
-		/opt-armel/qt4-maemo5/mkspecs/common/linux.conf \
-		/opt-armel/qt4-maemo5/mkspecs/qconfig.pri \
-		/opt-armel/qt4-maemo5/mkspecs/features/qt_functions.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/qt_config.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/default_pre.prf \
+Makefile: evehomescreen.pro  /opt-x86/qt4-maemo5/mkspecs/linux-g++/qmake.conf /opt-x86/qt4-maemo5/mkspecs/common/g++.conf \
+		/opt-x86/qt4-maemo5/mkspecs/common/unix.conf \
+		/opt-x86/qt4-maemo5/mkspecs/common/linux.conf \
+		/opt-x86/qt4-maemo5/mkspecs/qconfig.pri \
+		/opt-x86/qt4-maemo5/mkspecs/features/qt_functions.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/qt_config.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/default_pre.prf \
 		../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri \
-		/opt-armel/qt4-maemo5/mkspecs/features/release.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/default_post.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/mobility.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/warn_on.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/qt.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/unix/thread.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/moc.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/resources.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/uic.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/yacc.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/lex.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/include_source_dir.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/release.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/default_post.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/warn_on.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/qt.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/unix/thread.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/moc.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/resources.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/uic.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/yacc.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/lex.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/include_source_dir.prf \
 		/opt/qt4-maemo5/lib/libQtMaemo5.prl \
 		/opt/qt4-maemo5/lib/libQtDBus.prl \
 		/opt/qt4-maemo5/lib/libQtXml.prl \
 		/opt/qt4-maemo5/lib/libQtCore.prl \
 		/opt/qt4-maemo5/lib/libQtGui.prl \
 		/opt/qt4-maemo5/lib/libQtNetwork.prl
-	$(QMAKE) -unix PREFIX\ =\ /usr -o Makefile evehomescreen.pro
-/opt-armel/qt4-maemo5/mkspecs/common/unix.conf:
-/opt-armel/qt4-maemo5/mkspecs/common/linux.conf:
-/opt-armel/qt4-maemo5/mkspecs/qconfig.pri:
-/opt-armel/qt4-maemo5/mkspecs/features/qt_functions.prf:
-/opt-armel/qt4-maemo5/mkspecs/features/qt_config.prf:
-/opt-armel/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
-/opt-armel/qt4-maemo5/mkspecs/features/default_pre.prf:
+	$(QMAKE) -unix PREFIX=/usr -o Makefile evehomescreen.pro
+/opt-x86/qt4-maemo5/mkspecs/common/g++.conf:
+/opt-x86/qt4-maemo5/mkspecs/common/unix.conf:
+/opt-x86/qt4-maemo5/mkspecs/common/linux.conf:
+/opt-x86/qt4-maemo5/mkspecs/qconfig.pri:
+/opt-x86/qt4-maemo5/mkspecs/features/qt_functions.prf:
+/opt-x86/qt4-maemo5/mkspecs/features/qt_config.prf:
+/opt-x86/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
+/opt-x86/qt4-maemo5/mkspecs/features/default_pre.prf:
 ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri:
-/opt-armel/qt4-maemo5/mkspecs/features/release.prf:
-/opt-armel/qt4-maemo5/mkspecs/features/default_post.prf:
-/opt-armel/qt4-maemo5/mkspecs/features/mobility.prf:
-/opt-armel/qt4-maemo5/mkspecs/features/warn_on.prf:
-/opt-armel/qt4-maemo5/mkspecs/features/qt.prf:
-/opt-armel/qt4-maemo5/mkspecs/features/unix/thread.prf:
-/opt-armel/qt4-maemo5/mkspecs/features/moc.prf:
-/opt-armel/qt4-maemo5/mkspecs/features/resources.prf:
-/opt-armel/qt4-maemo5/mkspecs/features/uic.prf:
-/opt-armel/qt4-maemo5/mkspecs/features/yacc.prf:
-/opt-armel/qt4-maemo5/mkspecs/features/lex.prf:
-/opt-armel/qt4-maemo5/mkspecs/features/include_source_dir.prf:
+/opt-x86/qt4-maemo5/mkspecs/features/release.prf:
+/opt-x86/qt4-maemo5/mkspecs/features/default_post.prf:
+/opt-x86/qt4-maemo5/mkspecs/features/warn_on.prf:
+/opt-x86/qt4-maemo5/mkspecs/features/qt.prf:
+/opt-x86/qt4-maemo5/mkspecs/features/unix/thread.prf:
+/opt-x86/qt4-maemo5/mkspecs/features/moc.prf:
+/opt-x86/qt4-maemo5/mkspecs/features/resources.prf:
+/opt-x86/qt4-maemo5/mkspecs/features/uic.prf:
+/opt-x86/qt4-maemo5/mkspecs/features/yacc.prf:
+/opt-x86/qt4-maemo5/mkspecs/features/lex.prf:
+/opt-x86/qt4-maemo5/mkspecs/features/include_source_dir.prf:
 /opt/qt4-maemo5/lib/libQtMaemo5.prl:
 /opt/qt4-maemo5/lib/libQtDBus.prl:
 /opt/qt4-maemo5/lib/libQtXml.prl:
@@ -178,7 +178,7 @@
 /opt/qt4-maemo5/lib/libQtGui.prl:
 /opt/qt4-maemo5/lib/libQtNetwork.prl:
 qmake:  FORCE
-	@$(QMAKE) -unix PREFIX\ =\ /usr -o Makefile evehomescreen.pro
+	@$(QMAKE) -unix PREFIX=/usr -o Makefile evehomescreen.pro
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/evehomescreen1.0.0 || $(MKDIR) .tmp/evehomescreen1.0.0 
@@ -295,3 +295,12 @@
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o evesettingsdialog.o evesettingsdialog.cpp
 
 skilltree.o: skilltree.cpp skilltree.h
+	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o skilltree.o skilltree.cpp
+
+qmaemo5homescreenadaptor.o: ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h
+	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qmaemo5homescreenadaptor.o ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp
+
+moc_widget.o: moc_widget.cpp 
+	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_widget.o moc_widget.cpp
+
+moc_evemodel.o: moc_evemodel.cpp

=== debian/changelog ===
evehomescreen (0.1.0-1) unstable; urgency=low

  * Tap to refresh info
  * Indicate loading skills

 -- Jaakko Kyro <jkyro@korjaussarja.net>  Sun, 23 May 2010 21:36:33 +0300

evehomescreen (0.0.4-1) unstable; urgency=low

  * Text color reflects queue status
  * QT Mobility dependency removed

 -- Jaakko Kyro <jkyro@korjaussarja.net>  Sun, 23 May 2010 16:57:29 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/desktop
 Priority: extra
 Maintainer: Jaakko Kyro <jkyro@korjaussarja.net>
-Build-Depends: debhelper (>= 5), libqt4-maemo5-dev, libqtm-dev, libx11-dev, x11proto-core-dev, libgconf2-dev, libdbus-1-dev, libglib2.0-dev, libdbus-glib-1-dev
+Build-Depends: debhelper (>= 5), libqt4-maemo5-dev, libx11-dev, x11proto-core-dev, libgconf2-dev, libdbus-1-dev, libglib2.0-dev, libdbus-glib-1-dev
 Standards-Version: 3.7.2
 
 Package: evehomescreen
